%define ttfdir %_x11libdir/X11/fonts/japanese-ttf

Name: japanese-fonts-ttf
Version: 1.0
Release: alt1

Summary: Free Japanese TrueType fonts
Summary (ru_RU.UTF-8): Японские TrueType шрифты 
License: Distributable
Group: System/Fonts/True type
Url: http://www.on.cs.keio.ac.jp/~yasu/linux/fonts/
Source0: xtt-fonts_0.19990222-3.tar.bz2
Source1: kochi-mincho-0.2.20020727.tar.bz2
Source2: kochi-gothic-0.2.20020727.tar.bz2
Source3: fonts-ttf-japanese-fonts.dir.bz2
Source4: fonts-ttf-japanese-fonts.alias.bz2
BuildArch: noarch
PreReq: chkfontpath freetype fontconfig perl-base

%description
This Package provides free Japanese TrueType fonts.
Original Kochi fonts include in ascii section non free glyphs, 
they must be removed. Red Hat did it, packages taken from them.

%description -l ru_RU.UTF-8
В пакете находятся японские TrueType шрифты. Первоначально 
шрифты Kochi включали несвободные начертания латинских символов 
в ASCII части, которые были удалены фирмой RedHat. 

%prep
%setup -q -c -a0 -a1 -a2

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 xtt-fonts-0.19990222/*.ttf $RPM_BUILD_ROOT%ttfdir
install -p -m644 kochi-gothic/fonts/*.ttf $RPM_BUILD_ROOT%ttfdir
install -p -m644 kochi-mincho/fonts/*.ttf $RPM_BUILD_ROOT%ttfdir

cd $RPM_BUILD_ROOT%ttfdir
# ttmkfdir doesn't work with those fonts
bzcat %SOURCE3 > $RPM_BUILD_ROOT%ttfdir/fonts.dir
bzcat %SOURCE4 | sed 's/^\(.*\):\([^:]*\)$/\2/' > $RPM_BUILD_ROOT%ttfdir/fonts.alias
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
 touch fonts.cache-1
cd -

mkdir -p DOC/watanabe
cp xtt-fonts-0.19990222/*README* xtt-fonts-0.19990222/fonts.* \
   xtt-fonts-0.19990222/debian/{changelog,copyright} DOC/watanabe
mkdir -p DOC/kochi-gothic
cp kochi-gothic/AUTHORS kochi-gothic/README* kochi-gothic/THANKS DOC/kochi-gothic
mkdir -p DOC/kochi-mincho
cp kochi-mincho/AUTHORS kochi-mincho/README* kochi-mincho/THANKS DOC/kochi-mincho


%post
%_bindir/fc-cache %ttfdir
/usr/sbin/chkfontpath -q --add %ttfdir
if [ -x /usr/bin/gnome-font-install ]; then
  perl %_datadir/fonts/run-gnome-font-install \
	%_bindir/gnome-font-install %_datadir %_datadir > /dev/null 2>&1
fi
if [ -x /usr/bin/libgnomeprint-2.0-font-install ]; then
   %_bindir/libgnomeprint-2.0-font-install --smart > /dev/null 2>&1
fi

%postun
if [ "$1" = 0 ]; then
	/usr/sbin/chkfontpath -q --remove %ttfdir
fi

%files
%ttfdir
%doc DOC/*

%changelog
* Wed Nov 27 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
